0
$\begingroup$

Rosanswers logo

I installed pocketsphinx, but I don't know how to use it. I try to run python script:

rosrun pocketsphinx recognizer.py

and have the following output:

[ERROR] [WallTime: 1395053854.598681] Please specify a language model file or a fsg grammar file. 

What shall I do? How can I specify this model?


Originally posted by pelment on ROS Answers with karma: 47 on 2014-03-17

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

You indeed need to build a language model.

Go to CMU Sphinx tutorial page for this. There is also a web tool which is very helpful in this Language model web service.

The tutorial explains further instructions on how to convert and use the model


Originally posted by makokal with karma: 1295 on 2014-03-17

This answer was ACCEPTED on the original site

Post score: 0


Original comments

Comment by pelment on 2014-03-23:
Thank you! I found language model from Voxforge and tried to run recognizer.py with parameters -dict /home/sphinx/msu_ru_nsh.dic -lm /home/sphinx/msu_ru_nsh.lm.dmp . But nothing changed. The output of command showed me that pocketsphinx already uses wsj model, but if there exists any model, why the error I noticed appears always?

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.